Name:          FileZilla
Version:       3.15.0.1
Release:       1mamba
Summary:       FTP, FTPS and SFTP client
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://filezilla-project.org/
Source0:       http://downloads.sourceforge.net/project/filezilla/FileZilla_Client/%{version}/FileZilla_%{version}_src.tar.bz2
Source1:       filezilapng.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libfilezilla-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwx_baseu-devel
BuildRequires: libwx_gtk3u-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: automake 
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: libcppunit-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: libwxBase-ansi-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a FTP, FTPS and SFTP client for Linux with a lot of features.
- Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
- Cross-platform
- Available in many languages
- Supports resume and transfer of large files >4GB
- Easy to use Site Manager and transfer queue
- Drag & drop support
- Speed limits
- Filename filters
- Network configuration wizard 

%prep
%setup -q -n filezilla-%{version}

%build
%configure \
	--enable-locales \
	--disable-precomp \
	--disable-manualupdatecheck \
	--with-tinyxml=system \
	--disable-autoupdatecheck \
    --with-wx-config=wx-config-unicode-3 \
	CXXFLAGS="%{optflags} -I."

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang filezilla

#% check
#make check

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%files -f filezilla.lang
%defattr(-,root,root)
%{_bindir}/filezilla
%{_bindir}/fzputtygen
%{_bindir}/fzsftp
%{_datadir}/appdata/filezilla.appdata.xml
%{_datadir}/applications/filezilla.desktop
%{_datadir}/pixmaps/filezilla.png
%{_datadir}/icons/hicolor/*x*/apps/filezilla.png
%{_datadir}/icons/hicolor/scalable/apps/filezilla.svg
%dir %{_datadir}/filezilla
%{_datadir}/filezilla/docs
%{_datadir}/filezilla/resources
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/fzdefaults.xml.5.gz
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Tue Feb 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.15.0.1-1mamba
- update to 3.15.0.1

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic update by autodist

* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic update by autodist

* Fri Jun 21 2013 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 3.7.0.1-1mamba
- automatic version update by autodist

* Fri Feb 01 2013 Automatic Build System <autodist@mambasoft.it> 3.6.0.2-1mamba
- automatic version update by autodist

* Sun Jul 08 2012 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- update to 3.5.3

* Fri Feb 18 2011 Automatic Build System <autodist@mambasoft.it> 3.3.5.1-1mamba
- automatic update by autodist

* Fri Jul 30 2010 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic update by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 3.3.2.1-1mamba
- automatic update by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic update by autodist

* Wed Dec 23 2009 Automatic Build System <autodist@mambasoft.it> 3.3.0.1-1mamba
- automatic update by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 3.2.8.1-1mamba
- automatic update by autodist

* Sat Aug 29 2009 Automatic Build System <autodist@mambasoft.it> 3.2.7.1-1mamba
- automatic update by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 3.2.6.1-1mamba
- automatic update by autodist

* Fri Jul 03 2009 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic update by autodist

* Sun Jun 21 2009 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.2.1-1mamba
- automatic update by autodist

* Fri Jan 09 2009 gil <puntogil@libero.it> 3.2.0-1mamba
- update to 3.2.0
- new buildrequires libdbus

* Mon Nov 17 2008 gil <puntogil@libero.it> 3.1.6-1mamba
- package created by autospec
